### Hierarchy

- unknown
  - Contract

## Index

### Constructors

- constructor

### Methods

- clearArbitratorNodeAddress
- clearBuyerNodeAddress
- clearMakerPubKeyRing
- clearOfferPayload
- clearSellerNodeAddress
- clearTakerPubKeyRing
- getArbitratorNodeAddress
- getBuyerNodeAddress
- getIsBuyerMakerAndSellerTaker
- getLockTime
- getMakerAccountId
- getMakerDepositTxHash
- getMakerPaymentAccountPayloadHash
- getMakerPaymentAccountPayloadHash_asB64
- getMakerPaymentAccountPayloadHash_asU8
- getMakerPaymentMethodId
- getMakerPayoutAddressString
- getMakerPubKeyRing
- getOfferPayload
- getSellerNodeAddress
- getTakerAccountId
- getTakerDepositTxHash
- getTakerPaymentAccountPayloadHash
- getTakerPaymentAccountPayloadHash_asB64
- getTakerPaymentAccountPayloadHash_asU8
- getTakerPaymentMethodId
- getTakerPayoutAddressString
- getTakerPubKeyRing
- getTradeAmount
- getTradePrice
- hasArbitratorNodeAddress
- hasBuyerNodeAddress
- hasMakerPubKeyRing
- hasOfferPayload
- hasSellerNodeAddress
- hasTakerPubKeyRing
- serializeBinary
- setArbitratorNodeAddress
- setBuyerNodeAddress
- setIsBuyerMakerAndSellerTaker
- setLockTime
- setMakerAccountId
- setMakerDepositTxHash
- setMakerPaymentAccountPayloadHash
- setMakerPaymentMethodId
- setMakerPayoutAddressString
- setMakerPubKeyRing
- setOfferPayload
- setSellerNodeAddress
- setTakerAccountId
- setTakerDepositTxHash
- setTakerPaymentAccountPayloadHash
- setTakerPaymentMethodId
- setTakerPayoutAddressString
- setTakerPubKeyRing
- setTradeAmount
- setTradePrice
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new Contract(): Contract

- Inherited from jspb.Message.constructor

  #### Returns Contract

## Methods

### clearArbitratorNodeAddress

- clearArbitratorNodeAddress(): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3982

  #### Returns Contract

### clearBuyerNodeAddress

- clearBuyerNodeAddress(): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3966

  #### Returns Contract

### clearMakerPubKeyRing

- clearMakerPubKeyRing(): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3956

  #### Returns Contract

### clearOfferPayload

- clearOfferPayload(): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3920

  #### Returns Contract

### clearSellerNodeAddress

- clearSellerNodeAddress(): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3971

  #### Returns Contract

### clearTakerPubKeyRing

- clearTakerPubKeyRing(): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3961

  #### Returns Contract

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:3979

  #### Returns undefined | NodeAddress

### getBuyerNodeAddress

- getBuyerNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:3963

  #### Returns undefined | NodeAddress

### getIsBuyerMakerAndSellerTaker

- getIsBuyerMakerAndSellerTaker(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3928

  #### Returns boolean

### getLockTime

- getLockTime(): number

- - Defined in src/protobuf/pb_pb.d.ts:3984

  #### Returns number

### getMakerAccountId

- getMakerAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3931

  #### Returns string

### getMakerDepositTxHash

- getMakerDepositTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:3987

  #### Returns string

### getMakerPaymentAccountPayloadHash

- getMakerPaymentAccountPayloadHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3943

  #### Returns string | Uint8Array

### getMakerPaymentAccountPayloadHash_asB64

- getMakerPaymentAccountPayloadHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3945

  #### Returns string

### getMakerPaymentAccountPayloadHash_asU8

- getMakerPaymentAccountPayloadHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3944

  #### Returns Uint8Array

### getMakerPaymentMethodId

- getMakerPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3937

  #### Returns string

### getMakerPayoutAddressString

- getMakerPayoutAddressString(): string

- - Defined in src/protobuf/pb_pb.d.ts:3973

  #### Returns string

### getMakerPubKeyRing

- getMakerPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:3953

  #### Returns undefined | PubKeyRing

### getOfferPayload

- getOfferPayload(): undefined | OfferPayload

- - Defined in src/protobuf/pb_pb.d.ts:3917

  #### Returns undefined | OfferPayload

### getSellerNodeAddress

- getSellerNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:3968

  #### Returns undefined | NodeAddress

### getTakerAccountId

- getTakerAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3934

  #### Returns string

### getTakerDepositTxHash

- getTakerDepositTxHash(): string

- - Defined in src/protobuf/pb_pb.d.ts:3990

  #### Returns string

### getTakerPaymentAccountPayloadHash

- getTakerPaymentAccountPayloadHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3948

  #### Returns string | Uint8Array

### getTakerPaymentAccountPayloadHash_asB64

- getTakerPaymentAccountPayloadHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3950

  #### Returns string

### getTakerPaymentAccountPayloadHash_asU8

- getTakerPaymentAccountPayloadHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3949

  #### Returns Uint8Array

### getTakerPaymentMethodId

- getTakerPaymentMethodId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3940

  #### Returns string

### getTakerPayoutAddressString

- getTakerPayoutAddressString(): string

- - Defined in src/protobuf/pb_pb.d.ts:3976

  #### Returns string

### getTakerPubKeyRing

- getTakerPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:3958

  #### Returns undefined | PubKeyRing

### getTradeAmount

- getTradeAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3922

  #### Returns number

### getTradePrice

- getTradePrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:3925

  #### Returns number

### hasArbitratorNodeAddress

- hasArbitratorNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3981

  #### Returns boolean

### hasBuyerNodeAddress

- hasBuyerNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3965

  #### Returns boolean

### hasMakerPubKeyRing

- hasMakerPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3955

  #### Returns boolean

### hasOfferPayload

- hasOfferPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3919

  #### Returns boolean

### hasSellerNodeAddress

- hasSellerNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3970

  #### Returns boolean

### hasTakerPubKeyRing

- hasTakerPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:3960

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3993

  #### Returns Uint8Array

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value?: NodeAddress ): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3980

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Contract

### setBuyerNodeAddress

- setBuyerNodeAddress(value?: NodeAddress ): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3964

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Contract

### setIsBuyerMakerAndSellerTaker

- setIsBuyerMakerAndSellerTaker(value: boolean): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3929

  #### Parameters

  - ##### value: boolean

  #### Returns Contract

### setLockTime

- setLockTime(value: number): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3985

  #### Parameters

  - ##### value: number

  #### Returns Contract

### setMakerAccountId

- setMakerAccountId(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3932

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setMakerDepositTxHash

- setMakerDepositTxHash(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3988

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setMakerPaymentAccountPayloadHash

- setMakerPaymentAccountPayloadHash(value: string | Uint8Array): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3946

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Contract

### setMakerPaymentMethodId

- setMakerPaymentMethodId(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3938

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setMakerPayoutAddressString

- setMakerPayoutAddressString(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3974

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setMakerPubKeyRing

- setMakerPubKeyRing(value?: PubKeyRing ): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3954

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns Contract

### setOfferPayload

- setOfferPayload(value?: OfferPayload ): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3918

  #### Parameters

  - ##### Optional value: OfferPayload

  #### Returns Contract

### setSellerNodeAddress

- setSellerNodeAddress(value?: NodeAddress ): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3969

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns Contract

### setTakerAccountId

- setTakerAccountId(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3935

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setTakerDepositTxHash

- setTakerDepositTxHash(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3991

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setTakerPaymentAccountPayloadHash

- setTakerPaymentAccountPayloadHash(value: string | Uint8Array): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3951

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Contract

### setTakerPaymentMethodId

- setTakerPaymentMethodId(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3941

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setTakerPayoutAddressString

- setTakerPayoutAddressString(value: string): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3977

  #### Parameters

  - ##### value: string

  #### Returns Contract

### setTakerPubKeyRing

- setTakerPubKeyRing(value?: PubKeyRing ): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3959

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns Contract

### setTradeAmount

- setTradeAmount(value: number): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3923

  #### Parameters

  - ##### value: number

  #### Returns Contract

### setTradePrice

- setTradePrice(value: number): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3926

  #### Parameters

  - ##### value: number

  #### Returns Contract

### toObject

- toObject(includeInstance?: boolean): Contract . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3994

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns Contract . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3997

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Contract

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Contract, reader: BinaryReader): Contract

- - Defined in src/protobuf/pb_pb.d.ts:3998

  #### Parameters

  - ##### message: Contract

  - ##### reader: BinaryReader

  #### Returns Contract

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: Contract, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3996

  #### Parameters

  - ##### message: Contract

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: Contract ): Contract . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3995

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Contract

  #### Returns Contract . AsObject

Generated using TypeDoc